#################################################
#      GiD-Tcl procedures invoked by GiD        #
#################################################
proc GiD_Event_InitProblemtype { dir } {
    Example1::SetDir $dir
    
    # Register the events that GiD launches to the problemtype
    Example1::RegisterGiDEvents

    # Opens the data tree
    GidUtils::OpenWindow CUSTOMLIB
    
}

proc GiD_Event_EndProblemtype {} {
    GiD_UnRegisterEvents PROBLEMTYPE Example1
}

#################################################
#      namespace implementing procedures        #
#################################################
namespace eval Example1 {
    variable problemtype_dir
}

proc Example1::SetDir { dir } {
    variable problemtype_dir
    set problemtype_dir $dir
}


proc Example1::RegisterGiDEvents {} {
    # Write calculation files
    GiD_RegisterEvent GiD_Event_AfterWriteCalculationFile Example1::AfterWriteCalculationFile PROBLEMTYPE Example1

}


proc Example1::AfterWriteCalculationFile { filename errorflag } {
    if { ![info exists gid_groups_conds::doc] } {
        WarnWin [= "Error: data not OK"]
        return
    }
    # NOTE: Implement this function by yourself
    set err [catch { Example1::WriteCalculationFile $filename } ret]
    if { $err } {
        WarnWin [= "Error when preparing data for analysis (%s)" $::errorInfo]
        set ret -cancel-
    }
    return $ret
}
